Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.common
Class EventDescriptor

    java.lang.Object
      |
      +--com.bea.wlai.common.AbstractDescriptor
            |
            +--com.bea.wlai.common.AbstractPropertiedDescriptor
                  |
                  +--com.bea.wlai.common.EventDescriptor

public class EventDescriptor
extends AbstractPropertiedDescriptor
implements IEventDescriptor

An implementation of the IEventDescriptor interface for use by the WLAI server.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`EventDescriptor()` For use by Serialize code.
`EventDescriptor(java.lang.String name, java.lang.String description, java.lang.String schemaName, java.lang.String rootElementName)` Create an EventDescriptor with name.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Compares the current EventDescriptor to another object.
`void` | `fromXML(IDocument doc)` Extract the data for this descriptor from the given IDocument instance, replacing all contents of the current descriptor with the new data.
`java.lang.String` | `getRootElementName()` Get the root element name for this event descriptor.
`java.lang.String` | `getSchemaNameString()` Get the name of the document schema for this event descriptor.
`static void` | `main(java.lang.String[] args)`
`boolean` | `ownsSchema()`
`void` | `setOwnsSchemaFlag(boolean bOwns)` Sets a flag that indicates if this event owns the schema it references; this flag is true by default.
`void` | `setRootElementName(java.lang.String rootElementName)` Set the root element name for this event descriptor.
`void` | `setSchemaNameString(java.lang.String schemaNameString)` Set the name of the document schema for this event descriptor.
`java.lang.String` | `toString()` Render this descriptor as a String.
`java.lang.String` | `toXML()` Get an XML representation of this descriptor.
`void` | `toXML(IDocument doc)` Output an XML representation of this descriptor into an IDocument instance.
`void` | `toXML(java.io.Writer writer)` Write an XML representation of this descriptor to the given Writer.

Methods inherited from class com.bea.wlai.common.AbstractPropertiedDescriptor
`addProperty, getProperty, listPropertyNames, removeProperty`

Methods inherited from class com.bea.wlai.common.AbstractDescriptor
`fromXML, fromXML, getDescription, getName, isReadOnly, makeReadOnly, setDescription, setName`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EventDescriptor

    public EventDescriptor()

  For use by Serialize code.

### EventDescriptor

    public EventDescriptor(java.lang.String name,
                           java.lang.String description,
                           java.lang.String schemaName,
                           java.lang.String rootElementName)

  Create an EventDescriptor with name.

Method Detail

### toString

    public java.lang.String toString()

  Render this descriptor as a String.

  Overrides:
    toString in class java.lang.Object

### equals

    public boolean equals(java.lang.Object obj)

  Compares the current EventDescriptor to another object. This method returns true only when the object is an instanceof EventDescriptor, and when its schema name, and root element name are equal.

  Overrides:
    equals in class java.lang.Object

### getSchemaNameString

    public java.lang.String getSchemaNameString()

  Get the name of the document schema for this event descriptor.
  Specified by:
    getSchemaNameString in interface IEventDescriptor

### setSchemaNameString

    public void setSchemaNameString(java.lang.String schemaNameString)

  Set the name of the document schema for this event descriptor.
  Specified by:
    setSchemaNameString in interface IEventDescriptor

### getRootElementName

    public java.lang.String getRootElementName()

  Get the root element name for this event descriptor.
  Specified by:
    getRootElementName in interface IEventDescriptor

### setRootElementName

    public void setRootElementName(java.lang.String rootElementName)

  Set the root element name for this event descriptor.
  Specified by:
    setRootElementName in interface IEventDescriptor

### setOwnsSchemaFlag

    public void setOwnsSchemaFlag(boolean bOwns)

  Sets a flag that indicates if this event owns the schema it references; this flag is true by default. Setting the flag to false indicates that the schema is referenced by other components and not solely owned by this event
  Specified by:
    setOwnsSchemaFlag in interface IEventDescriptor

### ownsSchema

    public boolean ownsSchema()

  Specified by:
    ownsSchema in interface IEventDescriptor

  Returns:
    true if this event owns the schema it references, false otherwise.

### toXML

    public java.lang.String toXML()
                           throws DocumentException

  Get an XML representation of this descriptor.

  Returns:
    An XML string containing the data for this descriptor.
  Throws:
    DocumentException - If any error occurs while processing the XML for this descriptor.
  Overrides:
    toXML in class AbstractDescriptor

### toXML

    public void toXML(java.io.Writer writer)
               throws DocumentException,
                      java.io.IOException

  Write an XML representation of this descriptor to the given Writer.

  Parameters:
    `A` - Writer object representing the destination for an XML stream containing the data for this descriptor.
  Throws:
    DocumentException - If any error occurs while processing the XML for this descriptor.
    java.io.IOException - If an error occurs writing to the given Writer.
  Overrides:
    toXML in class AbstractDescriptor

### toXML

    public void toXML(IDocument doc)
               throws DocumentException

  Output an XML representation of this descriptor into an IDocument instance. The context node of the given IDocument must be set to the event element this descriptor is intended to write its state into.

  Parameters:
    `doc` - An IDocument instance to receive the data for this descriptor.
  Throws:
    DocumentException - If any error occurs while processing the XML for this descriptor.
  Overrides:
    toXML in class AbstractDescriptor

### fromXML

    public void fromXML(IDocument doc)
                 throws DocumentException

  Extract the data for this descriptor from the given IDocument instance, replacing all contents of the current descriptor with the new data.

  Parameters:
    `doc` - An IDocument instance from which the data for this descriptor will be extracted.
  Throws:
    DocumentException - If any error occurs while processing the XML for this descriptor.
  Overrides:
    fromXML in class AbstractDescriptor

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)